package projectzombie.tiles;

import projectzombie.init.Models;
import projectzombie.items.ItemTool;
import projectzombie.items.ItemToolType;
import projectzombie.model.Model;
import projectzombie.util.ItemStack;
import projectzombie.util.TileState;

public class TileCoal extends Tile
{
	public TileCoal()
	{
		this.tileSolid = true;
		this.tileHitbox = 0.4;
		this.hardness = 500;
	}
	
	@Override
	public boolean canTileBreak(TileState state, ItemStack stack, ItemTool tool) {
		return tool != null && tool.toolType(stack) == ItemToolType.PICK;
	}
	
	@Override
	public boolean canTileSpeedBreak(TileState state, ItemStack stack, ItemTool tool) {
		return canTileBreak(state, stack, tool);
	}

	@Override
	public Model getModel(byte meta) {
		return Models.TILE_ROCK_COAL;
	}

}
